DB Manager: python error when clicking on missing/broken Spatialite connections

2015-04-26 01:59 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20758

Description

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 408, in rowCount

    self._refreshIndex(parent, True)

  File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 460, in _refreshIndex

    if item.populate():

  File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 158, in populate

    DlgDbError.showError(unicode(e), None)

  File "/usr/share/qgis/python/plugins/db_manager/dlg_db_error.py", line 56, in showError

    dlg = DlgDbError(e, parent)

  File "/usr/share/qgis/python/plugins/db_manager/dlg_db_error.py", line 42, in __init__

    self.setMessage(sanitize(e.msg))

AttributeError: 'unicode' object has no attribute 'msg'

That was not the case in previous QGIS releases where a better error message was given to the user.

Associated revisions

Revision 102f6d31 - 2015-04-26 01:37 PM - Jürgen Fischer

db manager: fix BaseError handing (fixes #12645)

Revision 54d52873 - 2015-05-09 04:34 PM - Jürgen Fischer

db manager: fix BaseError handing (fixes #12645; backport 102f6d3)

History

#1 - 2015-04-26 04:30 AM - Jürgen Fischer

- Subject changed from DB Manager: pyhton error when clicking on missing/broken Spatialite connections to DB Manager: python error when clicking on 

missing/broken Spatialite connections

#2 - 2015-04-26 04:37 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"102f6d31002917e72441fad013d0165c4da3132d".
